<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<artifactId>amos-boot-data</artifactId>
		<groupId>com.amosframework.boot</groupId>
		<version>1.0.0</version>
	</parent>

	<artifactId>amos-boot-data-equip</artifactId>
	<name>amos-boot-data-equip</name>

	<dependencies>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-netflix-eureka-client</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.kafka</groupId>
			<artifactId>spring-kafka</artifactId>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-emq</artifactId>
			<version>1.1.23</version>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-restful</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-auth</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-rdbms</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-redis</artifactId>
			<version>1.4.5.RELEASE</version>
		</dependency>

		<dependency>
			<groupId>net.sf.json-lib</groupId>
			<artifactId>json-lib</artifactId>
			<version>2.4</version>
			<classifier>jdk15</classifier>
		</dependency>

		<dependency>
			<groupId>org.springframework.data</groupId>
			<artifactId>spring-data-elasticsearch</artifactId>
			<scope>compile</scope>
		</dependency>

		<dependency>
			<groupId>com.taosdata.jdbc</groupId>
			<artifactId>taos-jdbcdriver</artifactId>
			<version>3.0.0</version>
		</dependency>

	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

</project>
